<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="Dart Basic Syntax Guide">
    <meta name="author" content="Anna Schrodinger">
    <title>Dart Basic Syntax | Coder.guide</title>
    <!-- Preloader -->
    <style>
        @keyframes hidePreloader {
            0% {
                width: 100%;
                height: 100%;
            }

            100% {
                width: 0;
                height: 0;
            }
        }

        body > div.preloader {
            position: fixed;
            background: white;
            width: 100%;
            height: 100%;
            z-index: 1071;
            opacity: 0;
            transition: opacity .5s ease;
            overflow: hidden;
            pointer-events: none;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        body:not(.loaded) > div.preloader {
            opacity: 1;
        }

        body:not(.loaded) {
            overflow: hidden;
        }

        body.loaded > div.preloader {
            animation: hidePreloader .5s linear .5s forwards;
        }
    </style>
    <script>
        window.addEventListener("load", function () {
            setTimeout(function () {
                document.querySelector('body').classList.add('loaded');
            }, 300);
        });
    </script>
    <!-- Favicon -->
    <link rel="icon" href="../../assets/img/brand/favicon.png" type="image/png"><!-- Font Awesome -->
    <link rel="stylesheet" href="../../assets/libs/@fortawesome/fontawesome-free/css/all.min.css">
    <!-- Quick CSS -->
    <link rel="stylesheet" href="../../assets/css/quick-website.css" id="stylesheet">
    <link rel="stylesheet" href="../../assets/prism/prism.css">

</head>

<body>
<!-- Preloader -->
<div class="preloader">
    <div class="spinner-border text-primary" role="status">
        <span class="sr-only">Loading...</span>
    </div>
</div>

<!-- Header -->
<header class="header-account-page" id="header-main">
    <!-- Navbar -->
    <nav class="navbar navbar-main navbar-expand-lg navbar-dark bg-dark" id="navbar-main">
        <div class="container">
            <!-- Brand -->
            <a class="navbar-brand" href="/">
                <img alt="Image placeholder" src="../../assets/img/brand/coder-guide-brand.png" id="navbar-logo">
            </a>
            <!-- Collapse -->
            <div class="collapse navbar-collapse navbar-collapse-overlay" id="navbar-main-collapse">
                <!-- Right navigation -->
                <ul class="navbar-nav align-items-lg-center d-none d-lg-flex ml-lg-auto">

                    <li class="nav-item">
                        <a class="nav-link" target="_blank" href="https://www.exceedcourses.com?ref=coder.guide">
                            On-Demand Courses
                        </a>
                    </li>

                    <li class="nav-item">
                        <a class="nav-link" target="_blank" href="https://www.exceedacademy.in?ref=coder.guide">
                            Live Courses
                        </a>
                    </li>

                </ul>

            </div>
        </div>
    </nav>
</header>

<!-- Main content -->
<section>
    <!-- Container -->
    <div class="container d-flex align-items-center py-1 py-5 border-bottom">
        <div class="col px-0">
            <div class="row">
                <div class="col-lg-8">
                    <!-- Heading -->
                    <h2 id="course_name" class="mb-2"></h2>
                    <!-- Text -->
                    <p id="lecture_slogan" class="lead mb-0"></p>

                    <!-- Tags -->
                    <div class="d-flex align-items-center my-4">
                        <ul id="tags" class="list-inline"></ul>
                    </div>

                    <!-- Meta -->
                    <div class="media align-items-center">

                        <span id="author_initials"
                              class="avatar bg-primary text-white rounded-circle avatar-sm mr-3"></span>

                        <div class="media-body">
                            <span id="author" class="h6 mb-0"></span>
                            <span id="date_published" class="text-sm text-muted"></span>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</section>
<section class="slice">
    <div class="container">
        <div class="row">
            <div class="col-lg-7 mb-5 mb-lg-0">

                <article id="content">

                    <h5>Getting Started</h5>

                    <p>
                        Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut
                        labore et dolore magna aliqua. Est ullamcorper eget nulla facilisi etiam dignissim diam.
                        Scelerisque eu ultrices vitae auctor eu augue ut lectus arcu. Eu facilisis sed odio morbi quis.
                        Aliquam purus sit amet luctus venenatis lectus magna. Tempus egestas sed sed risus. Interdum
                        varius sit amet mattis vulputate enim.
                    </p>

                    <h5>Your first dart code</h5>

                    <figure class="figure">
                        <img alt="Image placeholder" src="./media/img-0.jpg" class="img-fluid shadow-lg rounded">
                        <figcaption class="mt-3 text-muted">Figure one: This is an example image insert with caption
                        </figcaption>
                    </figure>

                    <p>
                        Mi tempus imperdiet nulla malesuada pellentesque elit eget. Praesent semper feugiat nibh sed
                        pulvinar proin. Rhoncus mattis rhoncus urna neque viverra. Amet nisl purus in mollis nunc sed id
                        semper. Leo vel orci porta non pulvinar neque laoreet suspendisse. Cras pulvinar mattis nunc sed
                        blandit.
                    </p>

                    <div id="editor">
                        function bar(items) {
                        var x = "An Example String";
                        return x;
                        }
                    </div>

                    <br>

                    <p>
                        Cursus mattis molestie a iaculis at erat pellentesque adipiscing. At augue eget arcu dictum
                        varius duis. Ridiculus mus mauris vitae ultricies leo integer. Elit sed vulputate mi sit amet
                        mauris commodo quis imperdiet. Quisque sagittis purus sit amet volutpat consequat mauris.
                        Adipiscing tristique risus nec feugiat in fermentum. Donec massa sapien faucibus et molestie ac
                        feugiat. Mi quis hendrerit dolor magna.
                    </p>

                    <h5>List of Dart Keywords</h5>

                    <table class="table">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Keyword</th>
                            <th scope="col">Description</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr>
                            <th scope="row">1</th>
                            <td>Pariatur</td>
                            <td>sed do eiusmod tempor incididunt</td>
                        </tr>
                        <tr>
                            <th scope="row">2</th>
                            <td>Laborum</td>
                            <td>ullamco laboris nisi ut aliquip ex ea commodo consequat</td>
                        </tr>
                        <tr>
                            <th scope="row">3</th>
                            <td>Imperdiet</td>
                            <td>Egestas tellus rutrum tellus pellentesque</td>
                        </tr>
                        </tbody>
                    </table>

                    <h5>Here are some unique Dart features</h5>

                    <!-- List -->
                    <ul class="list-unstyled list-bullet">
                        <li class="py-2">
        <span class="badge badge-circle rounded-circle badge-soft-success mr-2">
            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="none"
                 stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                 class="feather feather-check"><polyline points="20 6 9 17 4 12"></polyline></svg>
        </span>
                            Diam ut venenatis tellus in metus vulputate
                        </li>
                        <li class="py-2">
        <span class="badge badge-circle rounded-circle badge-soft-success mr-2">
            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="none"
                 stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                 class="feather feather-check"><polyline points="20 6 9 17 4 12"></polyline></svg>
        </span>
                            aliquet sagittis id consectetur purus ut
                        </li>
                        <li class="py-2">
        <span class="badge badge-circle rounded-circle badge-soft-success mr-2">
            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="none"
                 stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                 class="feather feather-check"><polyline points="20 6 9 17 4 12"></polyline></svg>
        </span>
                            Blandit turpis cursus
                        </li>
                        <li class="py-2">
        <span class="badge badge-circle rounded-circle badge-soft-success mr-2">
            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="none"
                 stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                 class="feather feather-check"><polyline points="20 6 9 17 4 12"></polyline></svg>
        </span>
                            Sit amet cursus sit amet dictum sit amet
                        </li>
                        <li class="py-2">
        <span class="badge badge-circle rounded-circle badge-soft-success mr-2">
            <svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24" fill="none"
                 stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"
                 class="feather feather-check"><polyline points="20 6 9 17 4 12"></polyline></svg>
        </span>
                            Neque ornare aenean euismod
                        </li>
                    </ul>

                    <h5>Applications of Dart</h5>

                    <figure class="figure">
                        <img alt="Image placeholder" src="./media/img-1.jpg" class="img-fluid shadow-lg rounded">
                        <figcaption class="mt-3 text-muted">Figure two: This is another image example with caption
                        </figcaption>
                    </figure>

                    <p>
                        Urna neque viverra justo nec ultrices. Netus et malesuada fames ac turpis egestas integer. Purus
                        non enim praesent elementum facilisis. Pharetra convallis posuere morbi leo. Pellentesque diam
                        volutpat commodo sed egestas egestas fringilla phasellus. Tellus elementum sagittis vitae et
                    </p>

                </article>

                <hr>
                <form class="d-flex justify-content-between">
                    <div>
                        <button id="previous_lesson_link" type="button" class="btn btn-sm btn-danger btn-icon">
                            <span class="btn-inner--icon">
                                <i data-feather="arrow-left"></i>
                            </span>
                            <span class="btn-inner--text">Previous Lesson</span>
                        </button>
                    </div>
                    <div>
                        <button id="next_lesson_link" type="button" class="btn btn-sm btn-success btn-icon">
                            <span class="btn-inner--text">Next Lesson</span>
                            <span class="btn-inner--icon">
                                <i data-feather="arrow-right"></i>
                            </span>
                        </button>
                    </div>
                </form>
            </div>
            <div class="col-lg-4 ml-lg-auto">
                <div data-toggle="sticky" data-sticky-offset="50">


                    <div class="card hover-translate-y-n3 hover-shadow-lg overflow-hidden">
                        <div class="position-relative overflow-hidden">
                            <img id="featured_course_course_image" alt="Course Image" class="card-img-top">
                        </div>

                        <div class="card-body pt-4 pb-1">
                            <a id="featured_course_course_name" class="h5 lh-150"></a>
                            <p id="featured_course_course_caption" class="mt-3 mb-0 lh-170"></p>
                        </div>

                        <div class="card-footer border-0">
                            <button id="featured_course_course_link" style="width: 100%" type="button"
                                    class="btn btn-success btn-icon-label">
                                <span class="btn-inner--icon">
                                    <i data-feather="play"></i>
                                </span>
                                <span class="btn-inner--text">Start Learning</span>
                            </button>
                        </div>
                    </div>

                    <div class="card mt-4">
                        <div class="card-header d-flex justify-content-between">
                            <div>
                                <span class="h6 mb-0">Lessons</span>
                            </div>
                            <a href="https://coder.guide/" class="text-sm text-primary text-underline--dashed">View All
                                Courses ›</a>
                        </div>
                        <div id="toc" class="list-group list-group-flush"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<footer class="position-relative" id="footer-main">
    <div class="footer pt-lg-7 footer-dark bg-dark">
        <!-- SVG shape -->
        <div class="shape-container shape-line shape-position-top shape-orientation-inverse">
            <svg width="2560px" height="100px" xmlns="http://www.w3.org/2000/svg"
                 xmlns:xlink="http://www.w3.org/1999/xlink" preserveAspectRatio="none" x="0px" y="0px"
                 viewBox="0 0 2560 100" style="enable-background:new 0 0 2560 100;" xml:space="preserve"
                 class=" fill-section-secondary">
                    <polygon points="2560 0 2560 100 0 100"></polygon>
                </svg>
        </div>
        <!-- Footer -->
        <div class="container pt-4">
            <div class="row align-items-center justify-content-md-between pb-4">
                <div class="col-md-6">
                    <div class="copyright text-sm font-weight-bold text-center text-md-left">
                        &copy; 2021 <a href="https://coder.guide" class="font-weight-bold"
                                       target="_blank">Coder.guide</a>. All rights reserved
                    </div>
                </div>
                <div class="col-md-6">
                    <ul class="nav justify-content-center justify-content-md-end mt-3 mt-md-0">
                        <li class="nav-item">
                            <a class="nav-link" href="https://www.exceedcourses.com?ref=coder.guide">
                                On-Demand Courses
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="https://www.exceedacademy.in?ref=coder.guide">
                                Live Courses
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</footer>

<!--Business Logic-->
<script src="../../js-scripts/language-management.js"></script>

<!-- Core JS  -->
<script src="../../assets/libs/jquery/dist/jquery.min.js"></script>
<script src="../../assets/libs/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
<script src="../../assets/libs/svg-injector/dist/svg-injector.min.js"></script>
<script src="../../assets/libs/feather-icons/dist/feather.min.js"></script>
<!-- <script src="../../../assets/libs/jquery.scrollbar/jquery.scrollbar.min.js"></script> -->
<!-- <script src="../../../assets/libs/simplebar/dist/simplebar.min.js"></script> -->
<!-- Optional JS -->
<script src="../../assets/libs/in-view/dist/in-view.min.js"></script>
<script src="../../assets/libs/sticky-kit/dist/sticky-kit.min.js"></script>
<script src="../../assets/libs/imagesloaded/imagesloaded.pkgd.min.js"></script>
<!-- Utility JS -->
<script src="../../assets/js/quick-website.js"></script>
<script src="../../assets/prism/prism.js"></script>
<script src="../../js-scripts/lesson-management.js"></script>
<script src="config.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.3.1/ace.js"
        integrity="sha256-m7pa1Wh06liKoIDP19avGEdTGo+LoDNxeiHhVkq2hVQ=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/js-beautify/1.7.5/beautify.min.js"
        integrity="sha256-z3YWAUWq4ZqhJwjqxdTFwmXUOkEPpQUpdxWHCZVADA4=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/js-beautify/1.7.5/beautify-css.min.js"
        integrity="sha256-j7ahmt6lLS5KOhBLZUivk4/awJlkM8eDP/CYbrCDqRA=" crossorigin="anonymous"></script>

<!-- Feather Icons -->
<script>

    document.addEventListener('DOMContentLoaded', function () {

        load_data(config);

        var editor_js = ace.edit("editor", {
            mode: "ace/mode/javascript",
            theme: "ace/theme/monokai",
            minLines: 5,
            maxLines: 10,
            tabSize: 2,
            showPrintMargin: false,
            readOnly: true
        });

        editor_js.getSession().setValue(js_beautify(editor_js.getValue(), {
            indent_size: 2
        }));

    }, false);

    feather.replace({
        'width': '1em',
        'height': '1em'
    })

</script>
</body>

</html>
